prem compiler sql ==  SELECT "django_migrations"."app", 
"django_migrations"."name" FROM "django_migrations"

prem compiler params ==  ()

prem debugwrapper==  <django.db.backends.sqlite3.base.SQLiteCursorWrapper 
object at 0x105dd4828>

prem debugwrapper==  ['__class__', '__delattr__', '__dict__', '__dir__', 
'__doc__', '__eq__', '__format__', '__ge__', '__getattribute__', '__gt__', 
'__hash__', '__init__', '__iter__', '__le__', '__lt__', '__module__', 
'__ne__', '__new__', '__next__', '__reduce__', '__reduce_ex__', '__repr__', 
'__setattr__', '__sizeof__', '__str__', '__subclasshook__', 'arraysize', 
'close', 'connection', 'convert_query', 'description', 'execute', 
'executemany', 'executescript', 'fetchall', 'fetchmany', 'fetchone', 
'lastrowid', 'row_factory', 'rowcount', 'setinputsizes', 'setoutputsize']

prem debugwrapper==  <django.db.backends.sqlite3.base.DatabaseWrapper 
object at 0x105be07f0>

Traceback (most recent call last):

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/backends/utils.py",
 
line 67, in execute

    return self.cursor.execute(sql, params)

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/backends/sqlite3/base.py",
 
line 334, in execute

    return Database.Cursor.execute(self, query, params)

sqlite3.ProgrammingError: Incorrect number of bindings supplied. The 
current statement uses 0, and there are 1 supplied.


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "./runtests.py", line 483, in <module>

    options.exclude_tags,

  File "./runtests.py", line 277, in django_tests

    extra_tests=extra_tests,

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/test/runner.py",
 
line 587, in run_tests

    old_config = self.setup_databases()

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/test/runner.py",
 
line 537, in setup_databases

    self.parallel, **kwargs

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/test/utils.py",
 
line 181, in setup_databases

    serialize=connection.settings_dict.get('TEST', {}).get('SERIALIZE', 
True),

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/backends/base/creation.py",
 
line 70, in create_test_db

    run_syncdb=True,

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/core/management/__init__.py",
 
line 130, in call_command

    return command.execute(*args, **defaults)

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/core/management/base.py",
 
line 345, in execute

    output = self.handle(*args, **options)

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/core/management/commands/migrate.py",
 
line 83, in handle

    executor = MigrationExecutor(connection, 
self.migration_progress_callback)

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/migrations/executor.py",
 
line 20, in __init__

    self.loader = MigrationLoader(self.connection)

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/migrations/loader.py",
 
line 52, in __init__

    self.build_graph()

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/migrations/loader.py",
 
line 209, in build_graph

    self.applied_migrations = recorder.applied_migrations()

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/migrations/recorder.py",
 
line 66, in applied_migrations

    return set(tuple(x) for x in self.migration_qs.values_list("app", 
"name"))

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/models/query.py",
 
line 256, in __iter__

    self._fetch_all()

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/models/query.py",
 
line 1072, in _fetch_all

    self._result_cache = list(self.iterator())

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/models/query.py",
 
line 125, in __iter__

    for row in compiler.results_iter():

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/models/sql/compiler.py",
 
line 802, in results_iter

    results = self.execute_sql(MULTI)

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/models/sql/compiler.py",
 
line 853, in execute_sql

    cursor.execute(sql, params)

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/backends/utils.py",
 
line 67, in execute

    return self.cursor.execute(sql, params)

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/utils.py",
 
line 94, in __exit__

    six.reraise(dj_exc_type, dj_exc_value, traceback)

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/utils/six.py",
 
line 685, in reraise

    raise value.with_traceback(tb)

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/backends/utils.py",
 
line 67, in execute

    return self.cursor.execute(sql, params)

  File 
"/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/backends/sqlite3/base.py",
 
line 334, in execute

    return Database.Cursor.execute(self, query, params)

django.db.utils.ProgrammingError: Incorrect number of bindings supplied. 
The current statement uses 0, and there are 1 supplied.

On Monday, September 19, 2016 at 1:35:01 PM UTC-4, Tim Graham wrote:
>
> Can you print query and params where the error happens?
>
> On Monday, September 19, 2016 at 12:56:12 PM UTC-4, premdjango wrote:
>>
>> Im trying to run the tests in Django but get the following error. 
>>
>>
>> (djangodev) Anands-MacBook-Pro:tests premlaks$ ./runtests.py 
>> --settings=test_sqlite requests
>>
>>
>>   File 
>> "/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/models/query.py",
>>  
>> line 1072, in _fetch_all
>>
>>     self._result_cache = list(self.iterator())
>>
>>   File 
>> "/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/models/query.py",
>>  
>> line 125, in __iter__
>>
>>     for row in compiler.results_iter():
>>
>>   File 
>> "/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/models/sql/compiler.py",
>>  
>> line 802, in results_iter
>>
>>     results = self.execute_sql(MULTI)
>>
>>   File 
>> "/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/models/sql/compiler.py",
>>  
>> line 853, in execute_sql
>>
>>     cursor.execute(sql, params)
>>
>>   File 
>> "/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/backends/utils.py",
>>  
>> line 67, in execute
>>
>>     return self.cursor.execute(sql, params)
>>
>>   File 
>> "/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/utils.py",
>>  
>> line 94, in __exit__
>>
>>     six.reraise(dj_exc_type, dj_exc_value, traceback)
>>
>>   File 
>> "/Users/premanandlakshmanan/Documents/django-contribute/django/django/utils/six.py",
>>  
>> line 685, in reraise
>>
>>     raise value.with_traceback(tb)
>>
>>   File 
>> "/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/backends/utils.py",
>>  
>> line 67, in execute
>>
>>     return self.cursor.execute(sql, params)
>>
>>   File 
>> "/Users/premanandlakshmanan/Documents/django-contribute/django/django/db/backends/sqlite3/base.py",
>>  
>> line 334, in execute
>>
>>     return Database.Cursor.execute(self, query, params)
>>
>> django.db.utils.ProgrammingError: Incorrect number of bindings supplied. 
>> The current statement uses 0, and there are 1 supplied.
>>
>>
>>
>> and here is my test_sqllite file.
>>
>>
>> DATABASES = {
>>
>>     'default': {
>>
>>         'ENGINE': 'django.db.backends.sqlite3',
>>
>>     },
>>
>>     #'other': {
>>
>>     #    'ENGINE': 'django.db.backends.sqlite3',
>>
>>     #}
>>
>> }
>>
>>
>> SECRET_KEY = "django_tests_secret_key"
>>
>>
>> # Use a fast hasher to speed up tests.
>>
>> PASSWORD_HASHERS = [
>>
>>     'django.contrib.auth.hashers.MD5PasswordHasher',
>>
>> ]
>>
>>
>>
>>
>>

-- 
You received this message because you are subscribed to the Google Groups 
"Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to django-users+unsubscr...@googlegroups.com.
To post to this group, send email to django-users@googlegroups.com.
Visit this group at https://groups.google.com/group/django-users.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/django-users/814ede68-2c1d-4ab9-a095-93ed0bc02522%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Reply via email to